package org.nuts4cocos.styleword;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import android.widget.EditText;

public class StyleWord extends Activity {
  /** Called when the activity is first created. */
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
    
    EditText editText=(EditText)findViewById(R.id.editText);
    String string="foo pod loo";
    int start=string.indexOf("pod");
    int end=string.indexOf(" ", start);
    //Spannable.SPAN_EXCLUSIVE_EXCLUSIVE is 0;
    Spannable spannable=new SpannableString(string);
    spannable.setSpan(new StyleSpan(Typeface.BOLD), start, end, 0);
    spannable.setSpan(new StyleSpan(Typeface.ITALIC), start, end, 0);
    spannable.setSpan(new UnderlineSpan(), start, end, 0);
    spannable.setSpan(new ForegroundColorSpan(Color.BLUE), start, end, 0);
    editText.setText(spannable);
  }
}
